## org.gnu.gtk
Class ProgressBar

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Progress
                          org.gnu.gtk.ProgressBar

public class ProgressBar
extends Progress

The ProgressBar is typically used to display the progress of a long running operation. It provides a visual clue that processing is underway. The ProgressBar can be used in two different modes: percentage mode and activity mode.

When an application can determine how much work needs to take place (e.g. read a fixed number of bytes from a file) and can monitor its progress, it can use the ProgressBar in percentage mode and the user sees a growing bar indicating the percentage of the work that has been completed. In this mode, the application is required to call `setFraction(double)` periodically to update the progress bar.

When an application has no accurate way of knowing the amount of work to do, it can use the ProgressBar in activity mode, which shows activity by a block moving back and forth within the progress area. In this mode, the application is required to call `pulse()` perodically to update the progress bar.

There is quite a bit of flexibility provided to control the appearance of the ProgressBar. Functions are provided to control the orientation of the bar, optional text can be displayed along with the bar, and the step size used in activity mode can be set.

Constructor Summary
`ProgressBar()` Constructs a new ProgressBar widget
`ProgressBar(org.gnu.glib.Handle handle)` Construct a new ProgressBar passing a handle to a native widget resource.

Method Summary
`EllipsizeMode` `getEllipsize()` Returns the ellipsizing position.
`double` `getFraction()` Returns the current value of the display.
`static ProgressBar` `getProgressBar(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `pulse()` Indicates that some progress is made, but you don't know how much.
`void` `setEllipsize(EllipsizeMode mode)` Sets the mode used to ellipsize (add an ellipsis: "...") the text if there is not enough space to render the entire string.
`void` `setFraction(double fraction)` Causes the progress bar to "fill in" the given fraction of the bar.
`void` `setOrientation(ProgressBarOrientation orientation)` Causes the progress bar to switch to a different orientation (left-to-right, right-to-left, top-to-bottom, or bottom-to-top).
`void` `setPulseStep(double fraction)` Sets the fraction of total progress bar length to move the bouncing block for each call to `pulse()`.
`void` `setText(java.lang.String text)` Causes the given text to appear superimposed on the progress bar.

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getEventListenerClass, getEventType, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressBar

    public ProgressBar()

  Constructs a new ProgressBar widget

### ProgressBar

    public ProgressBar(org.gnu.glib.Handle handle)

  Construct a new ProgressBar passing a handle to a native widget resource.

Parameters:
  `handle` - The handle to the native ProgressBar.

Method Detail

### getProgressBar

    public static ProgressBar getProgressBar(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### pulse

    public void pulse()

  Indicates that some progress is made, but you don't know how much. Causes the progress bar to enter "activity mode," where a block bounces back and forth. Each call to pulse() causes the block to move by a little bit (the amount of movement per pulse is determined by `setPulseStep(double)`).

### setText

    public void setText(java.lang.String text)

  Causes the given text to appear superimposed on the progress bar.

  Parameters:
    `text` - The string to appear on the progress bar

### setFraction

    public void setFraction(double fraction)

  Causes the progress bar to "fill in" the given fraction of the bar. The fraction should be between 0.0 and 1.0, inclusive. Any value less than 0.0 will be considered as 0.0, and any value bigger than 1.0 will be considered as 1.0. The reason why this is done is because Java has a strict implementation of doubles and floats, and sometimes that can cause unwanted rounding of numbers.
  For example, you may think '0.9 + 0.1 = 1.0', but the fact is that could actually result in 1.00001, or anything like that.

  Parameters:
    `fraction` - The fraction of the progress bar which should be filled in
  Throws:
    `java.lang.IllegalArgumentException`

### getFraction

    public double getFraction()

  Returns the current value of the display. This value will be returned as a value between 0.0 and 1.0.

### setPulseStep

    public void setPulseStep(double fraction)

  Sets the fraction of total progress bar length to move the bouncing block for each call to `pulse()`.

  Parameters:
    `fraction` - fraction between 0.0 and 1.0

### setOrientation

    public void setOrientation(ProgressBarOrientation orientation)

  Causes the progress bar to switch to a different orientation (left-to-right, right-to-left, top-to-bottom, or bottom-to-top).

  See Also:
    `ProgressBarOrientation`

### setEllipsize

    public void setEllipsize(EllipsizeMode mode)

  Sets the mode used to ellipsize (add an ellipsis: "...") the text if there is not enough space to render the entire string.

  Since:
    2.6

### getEllipsize

    public EllipsizeMode getEllipsize()

  Returns the ellipsizing position.

  Since:
    2.6

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.